@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    scrollbar-width: thin;
    text-decoration: none;
} 

*/ Gaya dasar untuk semua navigasi */
header ul {
    display: flex;
    list-style: none;
    gap: 20px;
}

header ul li a {
    color: #f5f5f5;
    text-decoration: none;
}

div a {
    color: #f5f5f5;
    text-decoration: none;
}

*/ Memberikan warna putih pada icon */
.social-icons div a i {
    color: #f5f5f5;
    font-size: 24px;
}

:root{
    --text-color: #f5f5f5;
    --hover-color: #D4AF37;
    --bg-color:  #250821;
    --secon-bg-color-color: #292e33;
    --big-font:2.5rem;
    --norma-font:2rem;
    --neon-box-shadow:0 0 .5rem #D4AF37;
    --h2-font:3rem;
    --font-neon-text-shadow:0 0 10px rgba(212, 175, 55, 1),
    0 0 20px rgba(212, 175, 55, 1),
    0 0 30px rgba(212, 175, 55, 1),
    0 0 40px rgba(212, 175, 55, 1),
    0 0 70px rgba(212, 175, 55, 1),
    0 0 80px rgba(212, 175, 55, 1),
    0 0 100px rgba(212, 175, 55, 1),
    0 0 10px rgba(212, 175, 55, 1);
}

body{
    font-family: "Poppins", sans-serif;
    background-color: var(--bg-color);
    color: var(--text-color);
}

header{
    display: flex;
    align-items: right;
    justify-content: space-between;
    width: 100%;
    padding: 20px 10%;
    line-height: 1.6;
}

.logo{
    font-size: 26px;
    font-weight: 700;
    letter-spacing: 1px;
}

span{
    color: var(--hover-color);
}

.navlist{
    display: flex;
}

.navlist{
    color: var(--text-color);
    font-weight: 500;
    padding: 20px 40px;
    gap: 60px;
    justify-content: right;
}

.navlist a:hover{
    color: var(--hover-color);
    text-shadow: 0 0 10px rgba(212, 175, 55, 1),
    0 0 20px rgba(212, 175, 55, 1),
    0 0 30px rgba(212, 175, 55, 1),
    0 0 40px rgba(212, 175, 55, 1),
    0 0 70px rgba(212, 175, 55, 1),
    0 0 80px rgba(212, 175, 55, 1),
    0 0 100px rgba(212, 175, 55, 1),
    0 0 10px rgba(212, 175, 55, 1);
}

#social-icon{
    font-size: 1.8rem;
    z-index: 10001;
    cursor: pointer;
    margin: 25px;
    background-color: var(--hover-color);
    border-width: 3px;
    color: var(--secon-bg-color-color);
    display: none;
}

section {
  padding: 100px 10%;
}

.home {
  display: grid;
  grid-template-columns: 2fr 1fr; /* teks kiri, foto kanan */
  align-items: start; /* sejajarkan ke atas */
  gap: 4rem;
  padding: 100px 10%;
  min-height: 100vh;
}

.home-content {
  max-width: 600px;
}

.home-image {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
}

.home-image img {
  max-width: 350px;
  height: auto;
  display: block;
}

.home-content h3,
.home-content p {
  margin: 0;
}

.home-image img {
  max-width: 500px; /* ubah sesuai ukuran yang kamu mau */
  height: auto;
}

.home-content {
    max-width: 600px;
}

.home-content h1{
    font-style: var(--big-font);
    font-weight: 700;
}

/* =========================
   CHANGE TEXT
========================= */

.change-text {
    font-size: 1.5rem;
    font-weight: 600;
    margin: 15px 0;
}

.change-text h3 {
    display: flex;
    align-items: center;
    margin: 0;
    height: 45px;
    overflow: visible;
}


/* Semua kata */
.change-text h3 .word {
    display: flex;
    position: absolute;

    opacity: 0;

    color: #00eeff;

    white-space: nowrap;

    perspective: 1000px;
}


/* Huruf */
.change-text h3 .word .letter {
    display: inline-block;

    transform-origin: center center 25px;

    transform: rotateX(0deg);

    transition:
        transform 0.5s cubic-bezier(0.6, 0, 0.7, 0.2),
        opacity 0.5s ease;
}


/* Huruf keluar */
.change-text h3 .word .letter.out {
    transform: rotateX(90deg);

    opacity: 0;

    transition:
        transform 0.32s cubic-bezier(0.6, 0, 0.7, 0.2),
        opacity 0.32s ease;
}


/* Huruf masuk */
.change-text h3 .word .letter.in {
    transform: rotateX(0deg);

    opacity: 1;

    transition:
        transform 0.38s ease,
        opacity 0.38s ease;
}


/* Posisi awal huruf */
.change-text h3 .word .letter.behind {
    transform: rotateX(-90deg);

    opacity: 0;
}


/* =========================
   OPTIONAL COLOR
========================= */

.change-text h3 > span:first-child {
    color: #ffffff;
}

.home-content p{
    color: #bdbdbd;
    line-height: 1,6;
}

.info-box {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 2rem;
  width: 70%;
  margin: 1rem 0 2rem;
}

.info-box h5 {
  font-weight: 600;
  color: var(--text-color);
  font-size: 1rem;
  margin-bottom: 0.3rem;
}

.info-box span {
  font-size: 0.9rem;
  color: #bdbdbd;
}

/* Tombol */
.btn-box {
  display: flex;
  justify-content: space-between; /* sejajarkan tombol seperti kolom Email dan Behance */
  align-items: center;
  width: 70%; /* pastikan mengikuti lebar container */
  margin-top: 1rem;
}

.btn-box a.btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 150px;
  height: 45px;
  background: var(--hover-color);
  color: var(--bg-color);
  font-size: 1rem;
  letter-spacing: 1px;
  font-weight: 600;
  transition: 0.6s;
  box-shadow: var(--neon-box-shadow);
  border-radius: 5px;
}

/* css animasi teks botton */

.btn:hover {
  transform: scale(1.05);
  box-shadow: 0 0 15px var(--hover-color);
}

/* teks muncul dari bawah */

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

body {
  background: linear-gradient(135deg, #320d14, #0a0101);
}

.glass {
  backdrop-filter: blur(10px);
  background: rgba(37, 8, 14, 1);
  border-radius: 15px;
  border: 1px solid rgba(37, 8, 14, 1);
  padding: 2rem;
}

/* navbar animasi */

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 10%;
}

.navlist {
  display: flex;
  gap: 2rem;
  list-style: none;
}

.navlist li a {
  text-decoration: none;
  color: var(--text-color);
  font-weight: 500;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 10%;
}

.navlist {
  display: flex;
  gap: 2rem;
  list-style: none;
}

.navlist li a {
  text-decoration: none;
  color: var(--text-color);
  font-weight: 500;
}


/* Saat layar kecil (HP) */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 10%;
  background: #200202;
  color: #ddd7d7;
}


.home-image::before {
    content: "";
    position: absolute;
    width: 430px;
    height: 430px;
    border-radius: 50%;
    background: radial-gradient(
        circle,
        #F3D675 0%,
        #D4AF37 25%,
        #8A5425 45%,
        #5A1025 65%,
        transparent 75%
    );
    filter: blur(70px);
    opacity: 0.75;
    z-index: -1;
    animation: goldAura 6s ease-in-out infinite;
}


.home-image::after {
    content: "";
    position: absolute;
    width: 300px;
    height: 400px;
    border-radius: 50%;
    background: #5A1025;
    filter: blur(100px);
    opacity: 0.45;
    z-index: -2;
    animation: maroonAura 8s ease-in-out infinite;
}


@keyframes goldAura {
    0% {
        transform: translate(0, 0) scale(0.9);
        opacity: 0.55;
    }
    50% {
        transform: translate(-15px, -10px) scale(1.08);
        opacity: 0.85;
    }
    100% {
        transform: translate(0, 0) scale(0.9);
        opacity: 0.55;
    }

}


@keyframes maroonAura {
    0% {
        transform: translate(15px, 10px) scale(0.9);
        opacity: 0.3;
    }
    50% {
        transform: translate(-10px, -15px) scale(1.1);
        opacity: 0.55;
    }
    100% {
        transform: translate(15px, 10px) scale(0.9);
        opacity: 0.3;
    }
}


